Skip to main content
GET
/
v3
/
identities
/
search
Username Search
curl --request GET \
  --url https://api.polynode.dev/v3/identities/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.polynode.dev/v3/identities/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.polynode.dev/v3/identities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 3,
  "query": "swisstony",
  "results": [
    {
      "eoa": "0xafcd9f5f78cb559c99d93f1914880df74cc3fc21",
      "exact": true,
      "username": "swisstony",
      "wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
      "wallet_type": null
    },
    {
      "eoa": "0x1062f9d6324a75c2ddcb7d0bc952fafc0efad5d8",
      "exact": false,
      "username": "swisstony1111",
      "wallet": "0x2abcbec8775c6ff69a8ceab565b78f585105b438",
      "wallet_type": "safe"
    },
    {
      "eoa": "0xae2f27034b1bc11c68e5b88f8c875ca614dbf38a",
      "exact": false,
      "username": "testswisstonyy",
      "wallet": "0x7d48c9fa8eff21911307dd0e953436c39820452b",
      "wallet_type": "safe"
    }
  ]
}
Find Polymarket accounts by (partial) username across 5M+ named wallets. Results are ranked by similarity with exact matches first. Not available anywhere in Polymarket’s public API.
curl "https://api.polynode.dev/v3/identities/search?q=swiss&limit=10" \
  -H "x-api-key: $POLYNODE_API_KEY"

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Search text, 2-60 characters.

limit
integer

Max results, up to 50 (default 20).

Response

200 - application/json

Success